LibreOffice: cppu::detail Namespace Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

Classes | Functions
cppu::detail Namespace Reference

## Classes
union | element_alias
| This is here to optimise space in the common case that there are zero or one listeners. More...

## Functions
css::uno::Type const & | getTypeFromTypeDescriptionReference (::typelib_TypeDescriptionReference *const *tdr)
css::uno::Type const & | getTypeFromTypeClass (::typelib_TypeClass tc)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::cppu::UnoVoidType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER bool const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER sal_Bool const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_Int8 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_Int16 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::cppu::UnoUnsignedShortType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_Int32 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_uInt32 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_Int64 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::sal_uInt64 const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER float const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER double const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::cppu::UnoCharType const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::rtl::OUString const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Type const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Any const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER ::cppu::UnoSequenceType< T > const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Sequence< T > const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Exception const *)
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::XInterface const *)
template<typename T >
css::uno::Type const & | cppu_detail_getUnoType (SAL_UNUSED_PARAMETER css::uno::Reference< T > const *)

## Function Documentation

## ◆ cppu_detail_getUnoType() [1/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::cppu::UnoVoidType const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [2/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER bool const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [3/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER sal_Bool const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [4/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_Int8 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [5/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_Int16 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [6/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::cppu::UnoUnsignedShortType const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [7/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_Int32 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [8/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_uInt32 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [9/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_Int64 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [10/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::sal_uInt64 const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [11/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER float const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [12/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER double const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [13/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::cppu::UnoCharType const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [14/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::rtl::OUString const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [15/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Type const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [16/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Any const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [17/21]

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER ::cppu::UnoSequenceType< T > const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [18/21]

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Sequence< T > const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [19/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Exception const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [20/21]

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::XInterface const * |  | ) |
| inline

## ◆ cppu_detail_getUnoType() [21/21]

template<typename T >

css::uno::Type const& cppu::detail::cppu_detail_getUnoType | ( | SAL_UNUSED_PARAMETER css::uno::Reference< T > const * |  | ) |
| inline

## ◆ getTypeFromTypeClass()

css::uno::Type const& cppu::detail::getTypeFromTypeClass | ( | ::typelib_TypeClass | tc | ) |
| inline

## ◆ getTypeFromTypeDescriptionReference()

css::uno::Type const& cppu::detail::getTypeFromTypeDescriptionReference | ( | ::typelib_TypeDescriptionReference *const * | tdr | ) |
| inline